#
# spec file for package gfxboot (Version 2.4)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  nasm x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext libtool nasm perl rpm

Name:         gfxboot
License:      GPL
Group:        System/Boot
Obsoletes:    gfxboot-devel
Autoreqprov:  on
Summary:      Graphical boot logo for lilo and syslinux
Version:      2.4
Release:      47.12
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       gfxboot-2.4.tar.bz2
Source1:      SuSE.tar.bz2
Source2:      SuSE-Home.tar.bz2
Source3:      SuSE-Live.tar.bz2
Source4:      SuSE-SLES.tar.bz2
Source5:      SuSE-NLD.tar.bz2

%description
Here you find the graphical boot logo. Suitable for both lilo and
syslinux.



%prep
%setup
%setup -T -D -a 1 -a 2 -a 3 -a 4 -a 5

%build
make X11LIBS=/usr/X11R6/%_lib

%install
make DESTDIR=%{buildroot} install

%clean 
rm -rf %{buildroot}

%files
/usr/sbin/mkbootmsg
/usr/sbin/getx11font
/usr/sbin/help2txt
%doc README
/usr/share/gfxboot

%changelog -n gfxboot
* Wed Jun 09 2004 - snwint@suse.de
- added SuSE-NLD theme
* Mon May 24 2004 - snwint@suse.de
- removed themes from gfxboot-2.4.tar.bz2
* Fri May 21 2004 - snwint@suse.de
- new SLES pictures
* Wed May 12 2004 - snwint@suse.de
- hide password in lilo (#40348)
* Fri Apr 16 2004 - snwint@suse.de
- irqs might have been turned off in some cases
- new SLES pictures
* Wed Apr 14 2004 - snwint@suse.de
- font creation missed some chars (#38223)
* Thu Apr 08 2004 - snwint@suse.de
- add SuSE-Live theme
- use 'install=slp://' (#36982)
- add new 'biosmem' function
- live cd layout changes
- added live cd warning if there's not enough memory
- added SLES theme (copy of SuSE theme)
* Tue Apr 06 2004 - snwint@suse.de
- handle case where we can't set graphics mode (#35806)
* Mon Apr 05 2004 - snwint@suse.de
- add HTTP install option
* Mon Apr 05 2004 - snwint@suse.de
- add only english to boot/message (#38339)
* Mon Apr 05 2004 - snwint@suse.de
- japanese translations, again
- new boot graphics, again
* Sat Apr 03 2004 - snwint@suse.de
- new japanese translations (#38224)
- not all japanese chars were added to font (#38223)
* Fri Apr 02 2004 - snwint@suse.de
- new boot graphics
* Fri Apr 02 2004 - snwint@suse.de
- reset timeout if we show some popup during start
* Fri Apr 02 2004 - snwint@suse.de
- added amd64 test
- fixed lilo password dialog
- use less memory for input dialogs
- modplayer should work again
- added russian texts
* Wed Mar 31 2004 - snwint@suse.de
- take out romanian install help text; not enough space
* Wed Mar 31 2004 - snwint@suse.de
- swedish texts
- added japanese texts
- fixed html viewer to work with japanese (allow line
  breaks at any place)
- added hungarian, italian and french texts
* Mon Mar 29 2004 - snwint@suse.de
- dutch help texts
- slovene & romanian texts
* Mon Mar 29 2004 - snwint@suse.de
- menu texts localized via 'translations.<locale>'
- new boot graphics
- added Home theme
- fixed language setting (#37195)
- pass lang info to yast (#35841)
* Mon Mar 22 2004 - snwint@suse.de
- new boot graphics
- fixed japanese locale name (#36487)
- added spanish texts
- added dutch & hungarian texts
- localized driver update text
* Wed Mar 17 2004 - snwint@suse.de
- new/updated czech texts
- reworked themes Makefile
* Tue Mar 16 2004 - snwint@suse.de
- german help texts
* Mon Mar 15 2004 - snwint@suse.de
- lang menu constructed from 'languages' file
* Tue Mar 09 2004 - snwint@suse.de
- added 'SLP' menu entry
* Mon Mar 08 2004 - snwint@suse.de
- fixed Makefile
* Mon Mar 08 2004 - snwint@suse.de
- czech translations
- added dialogs for various install types
- added 'profiles' menu for laptop people (#32346)
* Mon Mar 01 2004 - snwint@suse.de
- use translated language names
* Mon Mar 01 2004 - snwint@suse.de
- fixed theme Makefile
* Mon Mar 01 2004 - snwint@suse.de
- put texts into *.po files
- redraw screen after selecting new language
- some more keymaps
* Mon Feb 16 2004 - snwint@suse.de
- obsoletes gfxboot-devel
* Mon Jan 26 2004 - snwint@suse.de
- utf8 support, hi & true color video modes
- german keyboard mapping really works
- reworked much of the internals
- bootlogo file is now normal cpio archive; makes it easier to modify
* Tue Dec 16 2003 - snwint@suse.de
- moved SLSS theme to 9.0
- support disk change popups
* Wed Nov 12 2003 - varkoly@suse.de
- added SLSS theme for the AutoinstallationsCD  of the
  SuSE Linux School Server Clients
* Mon Oct 13 2003 - snwint@suse.de
- added LiveEval theme
* Wed Sep 17 2003 - snwint@suse.de
- make F3 actually do something
* Mon Sep 15 2003 - snwint@suse.de
- add splash parameter only if it's already there (#28780)
* Sat Sep 06 2003 - snwint@suse.de
- added splash mode selection to install screen
* Mon Sep 01 2003 - snwint@suse.de
- SuSE theme updated
* Mon Sep 01 2003 - snwint@suse.de
- new SuSE theme
- removed eject button; doesn't work on too much systems
- give additional hint if user forgot to turn the dvd over
* Mon Aug 25 2003 - snwint@suse.de
- reworked ps code
- added eject dialog for DVD2
- support some european keyboard layouts (experimental: press F9)
* Mon Aug 18 2003 - snwint@suse.de
- minor bug in SuSE theme
* Mon Aug 18 2003 - snwint@suse.de
- new version; cleaned up package
* Mon Mar 17 2003 - snwint@suse.de
- limit max resolution we offer to 1280x1024
* Fri Mar 14 2003 - snwint@suse.de
- minor help text corrections (#25139)
* Wed Mar 12 2003 - snwint@suse.de
- really final splash pictures
* Mon Mar 10 2003 - snwint@suse.de
- final splash picture
* Sat Mar 08 2003 - snwint@suse.de
- don't wait 3 seconds in lilo/grub mode
- get default splash mode from grub config
- added splash mode 'native' (splash=0)
* Thu Mar 06 2003 - snwint@suse.de
- updated menu texts
- show splash 3 seconds
* Mon Mar 03 2003 - snwint@suse.de
- slightly improved SuSE-splash.pcx
- support more kernel splash sizes
* Sat Mar 01 2003 - snwint@suse.de
- show splash before boot menu
- build different versions for installer and grub/lilo
* Mon Feb 24 2003 - snwint@suse.de
- removed the logo fading stuff, it makes problems on Radeon cards
* Tue Feb 18 2003 - snwint@suse.de
- added real help text written by bg@suse.de
* Mon Feb 17 2003 - snwint@suse.de
- allow more than one dialog at a time to be shown
* Fri Feb 14 2003 - snwint@suse.de
- added functions for image fading
- new dialog and progress bar widgets
- added combo box for splash silent/verbose (for lilo/grub)
* Sun Feb 09 2003 - snwint@suse.de
- new, extended version
* Mon Jan 20 2003 - stepan@suse.de
- add OpenSchool theme
* Wed Nov 13 2002 - ro@suse.de
- use x-devel-packages in neededforbuild
- use /usr/X11R6 not /usr/X11
* Fri Oct 25 2002 - stepan@suse.de
- update OpenXchange theme to contain UL brand
* Thu Oct 17 2002 - stepan@suse.de
- added OpenXchange theme
* Thu Sep 26 2002 - snwint@suse.de
- added SuSE-SLES theme
* Fri Sep 13 2002 - snwint@suse.de
- fixed UnitedLinux theme
* Wed Sep 11 2002 - snwint@suse.de
- adjusted scrollbar color
- added birthday cake
* Sun Sep 08 2002 - snwint@suse.de
- handle 'failsafe' properly (#18566)
- used to crash if boot image was not found
* Sat Sep 07 2002 - snwint@suse.de
- improved sound code
- added mod file with birthday theme
* Mon Sep 02 2002 - snwint@suse.de
- different shade of blue
* Wed Aug 28 2002 - snwint@suse.de
- new SuSE theme, again
* Tue Aug 27 2002 - snwint@suse.de
- apic is back
* Tue Aug 27 2002 - snwint@suse.de
- new SuSE theme
* Wed Aug 21 2002 - snwint@suse.de
- added UL theme
* Mon Aug 19 2002 - snwint@suse.de
- added sound support
* Mon Jul 22 2002 - snwint@suse.de
- accidentally left in debug code
* Wed Jul 17 2002 - snwint@suse.de
- slightly changed interface to bootloader for grub
* Wed May 29 2002 - snwint@suse.de
- fixed for lib64
* Thu Mar 21 2002 - snwint@suse.de
- new boot image again
* Sun Mar 17 2002 - snwint@suse.de
- new boot image
* Sat Mar 09 2002 - snwint@suse.de
- make seven boot options fit into the boot menu
* Mon Mar 04 2002 - snwint@suse.de
- added 'boot installed os' option
* Mon Feb 25 2002 - snwint@suse.de
- added apic menu entry
* Mon Feb 25 2002 - snwint@suse.de
- new 'failsafe' options
- increased cmdline input buffer to 256 chars
* Mon Sep 17 2001 - snwint@suse.de
- new lilo/installation picture
- added password dialog (#10544)
* Sun Sep 09 2001 - snwint@suse.de
- added 'rmoveto' & 'bootloader' functions
- final 7.3 lilo/installation picture
* Fri Aug 10 2001 - snwint@suse.de
- use preliminary 7.3 picture
* Mon May 14 2001 - snwint@suse.de
- pictures were still not correct
- added README (#7754)
* Fri May 11 2001 - snwint@suse.de
- new install picture (last one was one line too short)
* Wed May 09 2001 - snwint@suse.de
- new lilo/installation pictures
- copy suselilo to /boot/message (_not_ suseinstall :-/)
* Tue May 08 2001 - snwint@suse.de
- moved /usr/share/gfxboot/suselilo to /boot/messsage
* Sun May 06 2001 - snwint@suse.de
- in syslinux: wait for driver update disk if requested
- put space after image label in boot prompt (#7615)
* Mon Apr 30 2001 - snwint@suse.de
- make it work with isolinux
* Sat Apr 28 2001 - snwint@suse.de
- nearly final versions of lilo and syslinux graphics
* Sun Apr 08 2001 - snwint@suse.de
- new installation and lilo logos
* Thu Apr 05 2001 - snwint@suse.de
- created package
